import os
import glob
ssp=["ssp245","ssp370","ssp585"]
model=("BCC-CSM2-MR","CESM2","CanESM5","EC-Earth3","IPSL-CM6A-LR","MIROC6","MRI-ESM2-0","NorESM2-MM","ensemble5","ensemble8")
Colorpalete=["RdYlBu",'Spectral','ocean',"coolwarm","noaa"]

ExportDirectory="/media/mario/723054df-b11b-4b93-a42e-c71cfc03fbfc/mario/Documentos/Ocean/ScuenciaOrganizadaPre/3image2video/Videos/"
DataDirectory="../Data/"
listEval=[]
for i in ssp:
    for j in model:
        Var="DHW"
        ff=DataDirectory+"%s_%s_%s.nc"%(Var,i,j)
        for CM in Colorpalete:
            for countyear in ["ON","OFF"]:

                Evaluado=ExportDirectory+"Animated_%s_%s"%(CM,ff.split("/")[-1].replace(".nc","_%s.webm"%(countyear)))
                #print(Evaluado)
                listEval.append(Evaluado)
A1=set(listEval)
print("Videos no esperados")
VideosQueestan=[]
for name in glob.glob(ExportDirectory+"*.webm"): 
    VideosQueestan.append(name)
    if name not in A1:
        print(name) 
        pass
print("videos que faltan")
for name in A1: 
    if name not in VideosQueestan:
        print(name) 
        pass